"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Sleeps for a given time.
 *
 * @param millis Time in milliseconds
 */
exports.sleep = (millis) => new Promise(resolve => setTimeout(resolve, millis));
/**
 * Checks if the timeout occurred.
 *
 * @param startTimeMillis Start time value in milliseconds
 * @param maxDurationMillis Maximum duration in milliseconds
 */
exports.checkTimeout = (startTimeMillis, maxDurationMillis) => {
    return new Date().getTime() - startTimeMillis >= maxDurationMillis;
};
//# sourceMappingURL=time.js.map