import { Database } from '../database';
import { SeederCollection } from '../common';
/**
 * Allows to import collections into database.
 */
export declare class CollectionImporter {
    db: Database;
    /**
     * Constructs new `CollectionImporter` instance.
     *
     * @param db Database object
     */
    constructor(db: Database);
    /**
     * Imports multiple collections into database.
     *
     * @param collections Array of collections
     */
    import(collections: SeederCollection[]): Promise<void>;
    /**
     * Imports single collection into database.
     *
     * @param collection Collection definition
     */
    private importCollection;
}
